メモ Ubuntu 10.04 でsuPHPを使うと出るエラー

Ubuntu 10.04 でsuPHPを使うと下記のエラーが Apache のエラーログに残る。

 

[Sun Aug 07 16:50:16 2011] [error] [client 192.168.0.100] PHP Deprecated:  Comments starting with ‘#’ are deprecated in /etc/php5/cgi/conf.d/imagick.ini on line 1 in Unknown on line 0, referer: http://wktk.so/

[Sun Aug 07 16:50:02 2011] [error] [client ::1] PHP Deprecated:  Comments starting with ‘#’ are deprecated in /etc/php5/cgi/conf.d/imagick.ini on lin
e 1 in Unknown on line 0

 

原因は単純。

 

[email protected]:/etc/php5# vi /etc/php5/cgi/conf.d/imagick.ini

# configuration for php imagick module ←こいつ
extension=imagick.so

 

#でコメントアウトされていて文法エラー。

消してあげると治ります。

apt-getしたものなにの・・・

コメントを残す

メールアドレスが公開されることはありません。 * が付いている欄は必須項目です